Bug 586021 - 2 leg down convert request with only one PV specified behavior changed
2 leg down convert request with only one PV specified behavior changed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.5.z
All Linux
high Severity high
: rc
: ---
Assigned To: Jonathan Earl Brassow
Corey Marthaler
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 12:23 EDT by Corey Marthaler
Modified: 2013-01-10 21:57 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-21 03:38:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0433 normal SHIPPED_LIVE lvm2 bug fix update 2010-05-21 03:38:02 EDT

  None (edit)
Description Corey Marthaler 2010-04-26 12:23:08 EDT
Description of problem:
This used to work (see bug 537926), but now it fails even though the mirror is changed.

[root@grant-03 ~]# lvs -a -o +devices
  LV                             VG            Attr   LSize   Log Copy%  Convert Devices
  four_to_two_convert            mirror_sanity mwi-a- 300.00M     100.00         four_to_two_convert_mimage_0(0),four_to_two_convert_mimage_1(0),four_to_two_convert_mimage_2(0),four_to_two_convert_mimage_3(0)
  [four_to_two_convert_mimage_0] mirror_sanity iwi-ao 300.00M                    /dev/sdc1(0)
  [four_to_two_convert_mimage_1] mirror_sanity iwi-ao 300.00M                    /dev/sdc2(0)
  [four_to_two_convert_mimage_2] mirror_sanity iwi-ao 300.00M                    /dev/sdc3(0)
  [four_to_two_convert_mimage_3] mirror_sanity iwi-ao 300.00M                    /dev/sdb1(0)

[root@grant-03 ~]# lvconvert -m 1 mirror_sanity/four_to_two_convert /dev/sdc1
  1 images are removed out of requested 2.

[root@grant-03 ~]# echo $?
5

[root@grant-03 ~]# lvs -a -o +devices
  LV                             VG            Attr   LSize   Log Copy%  Convert Devices
  four_to_two_convert            mirror_sanity mwi-a- 300.00M     100.00         four_to_two_convert_mimage_1(0),four_to_two_convert_mimage_2(0),four_to_two_convert_mimage_3(0)
  four_to_two_convert_mimage_0   mirror_sanity -wi--- 300.00M                    /dev/sdc1(0)
  [four_to_two_convert_mimage_1] mirror_sanity iwi-ao 300.00M                    /dev/sdc2(0)
  [four_to_two_convert_mimage_2] mirror_sanity iwi-ao 300.00M                    /dev/sdc3(0)
  [four_to_two_convert_mimage_3] mirror_sanity iwi-ao 300.00M                    /dev/sdb1(0)


Version-Release number of selected component (if applicable):
lvm2-2.02.56-8.el5_5.2

How reproducible:
Everytime
Comment 1 Corey Marthaler 2010-04-26 12:26:32 EDT
Also the message "1 images are removed out of requested 2." should probably be changed to "1 images are removed out of 2 requested."
Comment 2 Milan Broz 2010-04-26 14:19:49 EDT
I tried this:

lvcreate -L 10G -m3 --mirrorlog core --nosync -n lv1 vg_test
lvconvert -m1 --mirrorlog core vg_test/lv1 /dev/sdc
lvs -a

# /lvconvert_img
  WARNING: New mirror won't be synchronised. Don't read what you didn't write!
  Logical volume "lv1" created
  1 images are removed out of requested 2.
  LV             VG       Attr   LSize  Origin Snap%  Move Log Copy%  Convert
  lv1            vg_test  Mwi-a- 10.00G                          0.94
  lv1_mimage_0   vg_test  -wi--- 10.00G
  [lv1_mimage_1] vg_test  Iwi-ao 10.00G
  [lv1_mimage_2] vg_test  Iwi-ao 10.00G
  [lv1_mimage_3] vg_test  Iwi-ao 10.00G

Note that remove image remains visible!

Reverting lvm2-2_02_64-fix-mirror-convert.patch patch helps here...
Comment 5 Milan Broz 2010-04-28 04:06:29 EDT
Patch in lvm2-2.02.56-8.el5_5.3.
Comment 7 Corey Marthaler 2010-04-29 15:27:36 EDT
Fix verified in lvm2-2.02.56-8.el5_5.3.
Comment 8 errata-xmlrpc 2010-05-21 03:38:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0433.html

Note You need to log in before you can comment on or make changes to this bug.